Skip to main content
GET
/
network
/
companies
Get companies in your team's network
curl --request GET \
  --url https://app.tryspecter.com/api/v1/network/companies \
  --header 'X-API-Key: <api-key>'
[
  {
    "company_id": "66d926166261234567890123",
    "connection_count": 3,
    "connected_person_ids": [
      "per_5f3a2b1c4d5e6f7a8b9c0d1e",
      "per_5f3a2b1c4d5e6f7a8b9c0d1f"
    ]
  }
]

Authorizations

X-API-Key
string
header
required

Query Parameters

page
number

The page number of results to return, base 0, default is 0.

limit
number

The number of results to return, default is 50.

min_connections
integer
default:1

Only return companies with at least this many network contacts.

Required range: x >= 1

Response

List of companies in your team's network.

company_id
string
required

The Specter company id. Use with GET /v1/companies/{company_id} to fetch the full profile.

Example:

"66d926166261234567890123"

connection_count
integer
required

Number of distinct people in your team's network who currently work at this company.

Example:

3

connected_person_ids
string[]
required

Specter person ids of the people your network that currently work at this company. Use each with GET /v1/people/{person_id}.

Example:
[
"per_5f3a2b1c4d5e6f7a8b9c0d1e",
"per_5f3a2b1c4d5e6f7a8b9c0d1f"
]